Movimientos de inventario
curl --request GET \
--url https://api.filexpress.app/api/external/inventory/movements \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/inventory/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/inventory/movements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/inventory/movements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"data": [
{
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"branch_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"product": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"sku": "BEB-001",
"name": "Refresco 350ml"
},
"type": "out",
"quantity": 2,
"unit_cost": 0.7,
"source": "adjustment",
"reason": "Merma",
"notes": "Botellas dañadas",
"branch_transfer_id": null,
"created_at": "2026-10-01T10:15:00-06:00"
}
],
"pagination": {
"current_page": 1,
"last_page": 1,
"per_page": 100,
"total": 1
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "The date range cannot exceed 93 days."
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Movimientos de inventario
Kardex de la sucursal en el rango (máximo 93 días), del más reciente al más antiguo. source: adjustment, transfer, sale o purchase.
Permiso requerido: inventory.read
GET
/
inventory
/
movements
Movimientos de inventario
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Sucursal (GET /branches). De otro negocio → 404.
Fecha inicial (YYYY-MM-DD). Rango máximo 93 días.
Fecha final (YYYY-MM-DD), mayor o igual que start_date.
Filtra por producto.
Origen del movimiento.
Available options:
adjustment, transfer Resultados por página (1–500, por defecto 100).
Required range:
1 <= x <= 500Página.
Required range:
x >= 1